org.eclipse.mat.report

## Interface IOutputter

All Known Implementing Classes:
  CSVOutputter, HtmlOutputter, HtmlPieChartRenderer

    public interface IOutputter

Converts a result to a report. See extension point org.eclipse.mat.report.renderer

### Nested Class Summary

Nested Classes
`static interface` `IOutputter.Context` Holds information which controls how to format a report.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `embedd(IOutputter.Context context, IResult result, Writer writer)` Add this result to the output.
`void` `process(IOutputter.Context context, IResult result, Writer writer)` Write this result to the output, presuming the writer has just been opened.

### Method Detail

#### embedd

    void embedd(IOutputter.Context context,
                IResult result,
                Writer writer)
         throws IOException

Add this result to the output.

Parameters:
  `context` - the context, which controls how the output should be done
  `result` - the result to be formatted
  `writer` - where the formatted output should go
Throws:
  `IOException`

#### process

    void process(IOutputter.Context context,
                 IResult result,
                 Writer writer)
          throws IOException

Write this result to the output, presuming the writer has just been opened.

Parameters:
  `context` - the context, which controls how the output should be done
  `result` - the result to be formatted
  `writer` - where the formatted output should go
Throws:
  `IOException`